'从参数列表中选择并返回一个值。
'Choose(index, choice-1[, choice-2, ... [, choice-n]])
'index 必要参数，数值表达式或字段，它的运算结果是一个数值，且界于 1 和可选择的项目数之间。 
'choice 必要参数，Variant 表达式，包含可选择项目的其中之一。
Function ChooseStr cdecl(Index As Long, ...) As String
   Dim arg As Any Ptr
   Dim i As Integer
   
   arg = va_first()
   If Index = 1 Then
      Function = *va_arg(arg, ZString Ptr)
   Else
      For i = 1 To Index -1
         arg = va_next(arg, ZString Ptr)
      Next
      Function = *va_arg(arg, ZString Ptr)
   End If
   
End Function